Subject: FW: R2 vs CAS package

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 26 Feb 2001 05:50:40 -0500

David, please note the new address of the list, to which I've forwarded this
message.

-----Original Message-----
From: David Fraser [mailto:[email-masked]]
Sent: Thursday, February 22, 2001 5:00 AM
To: [email-masked]
Subject: R2 vs CAS package

Hi folks,

Just wondered if anyone (e.g. the respective authors) could comment
on the positioning of the expired R2 package with respect to the
new CAS package(s). I note that the I-D for CAS doesn't mention R2.

So...
1) Is anyone working on resurrecting the old R2 package? OR
2) Is a new R2 package being developed to work with (and derive from)
     the CAS package?
3) N.E.Other solution for R2?

Thanks,

David Fraser

-- 
David Fraser                       Voice: +44 131 248 9513 (ext. 69513)
Lucent Technologies                Fax:   +44 131 248 9501
Links House, 15 Links Place,       Email: [email-masked]
Edinburgh EH6 7EZ, Scotland, U.K. "Life is uncertain, eat dessert first"

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Mon, 26 Feb 2001 14:26:34 -0500

FW: R2 vs CAS packageHi ALL,

In the version 2 of the protocol we need to include a parameter which is a
cause parameter in the Subtract message that indicates the reason of
subtracting the termination from context. The reasons could be "normal",
"remote MG failure", etc..Such that the MG is aware of the actual reason of
Subtract.

Best Regards.
Madhubabu

---

From: Chuong Nguyen <[email-masked]>
Date: Mon, 26 Feb 2001 14:03:37 -0600

You must have a particular scenario in mind.
Can you give the scenario why MG would need such info?

Thanks
Chuong

Madhu Babu Brahmanapally wrote:

> Hi ALL,In the version 2 of the protocol we need to include a parameter
> which is a cause parameter in the Subtract message that indicates the
> reason of subtracting the termination from context. The reasons could
> be "normal", "remote MG failure", etc..Such that the MG is aware of
> the actual reason of Subtract.Best Regards.Madhubabu

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Mon, 26 Feb 2001 16:56:59 -0500

Yes,
In one of the scenarios it is happened that in the first MG both physical
and ephemeral terminations are added to context. Then the MGC communicates
the local information of ephemeral termination in MG1 as remote SDP info to
the second MG. The second MG returned insufficient resources and the Add at
MG2 was a failure. The MGC subtracted the physical and ephemeral
terminations. The voice didn't go through and Since I can look at the traces
at the second MG I was able to trace the reason of failure. But in real case
scenario it is not known what had actually happened. Why not MGC provide
this additional information with multi-vendor MG and MGCs in picture, to aid
the MGs?

Best Regards.
Madhubabu

 -----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Chuong Nguyen
Sent: Monday, February 26, 2001 3:04 PM
To: megaco
Subject: Re: Cause parameter in Subtract

    Hi ALL,In the version 2 of the protocol we need to include a parameter
which is a cause parameter in the Subtract message that indicates the reason
of subtracting the termination from context. The reasons could be "normal",
"remote MG failure", etc..Such that the MG is aware of the actual reason of
Subtract.Best Regards.Madhubabu
--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****